Modify

Opened 7 years ago

Closed 7 years ago

#4508 closed Patches (fixed)

bsd.hpp assumes __NetBSD_GCC__ is defined

Reported by: Jelle Geerts <jellegeerts@…> Owned by: John Maddock
Milestone: Boost 1.44.0 Component: config
Version: Boost Development Trunk Severity: Problem
Keywords: Cc:

Description

On OpenBSD, when compiling a project of mine, I noticed that bsd.hpp assumes NetBSD_GCC is defined, which gave a compilation error because I use gcc with -Werror.

So, I simply fixed the line that caused the error. Please see the attached patch for the fix.

Attachments (1)

bsd.hpp.patch (514 bytes) - added by Jelle Geerts <jellegeerts@…> 7 years ago.

Download all attachments as: .zip

Change History (3)

Changed 7 years ago by Jelle Geerts <jellegeerts@…>

Attachment: bsd.hpp.patch added

comment:1 Changed 7 years ago by Jelle Geerts <jellegeerts@…>

Type: BugsPatches

comment:2 Changed 7 years ago by John Maddock

Resolution: fixed
Status: newclosed

(In [64749]) Suppress gcc warnings. Fixes #4508.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain John Maddock.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.